plotECDF.FCS {rflowcyt} | R Documentation

## Create a empirical cumulative distribution plot for one (or more) parameter(s) of one (or more) FCS object(s)

### Description

Create a empirical cumulative distribution plot for one parameter of one (or more) FCS object(s).

### Usage

    plotECDF.FCS(data, varpos, var.list, group.list, xlab, ylab,...)

### Arguments

`data` | a list of fluorescent data from one (or more) FCS object(s)
`varpos` | the numerical column variable position of the data of the FCS object
`var.list` | conditioning variables
`group.list` | a variable or expression to be evaluated in the data frame specified by 'data', expected to act as a grouping variable within each panel, typically used to distinguish different groups by varying graphical parameters like color and line type
`xlab` | a title for the x axis
`ylab` | a title for the y axis
`...` | any other arguments are passed to the `xyplot` function

### Details

Other options from the functions `xyplot` from the`lattice` library.

### Value

None.

### Author(s)

N. Le Meur

### See Also

`ecdf`,`lattice`, `xyplot`

### Examples

     require(rfcdmin)
     require(lattice)

     ##Example I:
     data(flowcyt.data)

     ##Draw an empirical cumulative density plot for the Foward scatter
     ##parameter of the different stains at a particular different time point
     ##(one panel per time point).
     plotECDF.FCS(flowcyt.data,varpos=c(1),var.list=c(paste("time",1:12,sep="")),group.list=paste("Stain",c(1:8),sep=""),main="ECDF plot of the forwad scatter parameter for different stains at a particular time point",lwd=2,cex=1.5)

     ##Example II:
     if (require(rfcdmin)) {
      ##Obtain the location of the fcs files
      pathFiles<-system.file("bccrc", package="rfcdmin")
      drugFiles<-dir(pathFiles)

      ## Read a serie of FCS files
      drugData<-read.series.FCS(drugFiles,path=pathFiles,MY.DEBUG=FALSE)

      }

      ##Draw a empirical cumulative density plot for the Foward scatter
     ##parameter for the differents aliquots (of the same cell line)
     ##treated with different compounds.
     plotECDF.FCS(drugData,varpos=c(1),var.list=c("Serie"),group.list=paste("compound",c(1:8),sep=""),main="ECDF plot for the different aliquots treated with diffrent compounds.",lwd=2,cex=1.5)

[Package rflowcyt version 1.4.0 Index]